package com.fastbee.common.utils.json;

import cn.hutool.json.JSONUtil;
import org.apache.commons.lang3.StringUtils;

public class JsonStrUtil {
    /**
     *判断一个json数组为空
     */
    public static boolean isEmptyArray(String jsonArrayStr) {
        if(StringUtils.isBlank(jsonArrayStr)){
            return true;
        }
        if(JSONUtil.parseArray(jsonArrayStr).isEmpty()){
            return true;
        }
        return false;
    }

    /**
     *判断一个json数组|非空
     */
    public static boolean nonEmptyArray(String jsonArrayStr) {
        if(StringUtils.isBlank(jsonArrayStr)){
            return false;
        }
        if(JSONUtil.parseArray(jsonArrayStr).isEmpty()){
            return false;
        }
        return true;
    }

}
